####################
#################### Numeric parameters
####################

MILLISECOND      1
SECOND           1000 * MILLISECOND
MINUTE           60 * SECOND

# 1 round = 1 ms
STEP_GOSSIP      1
#STEP_OBS         1 * SECOND
STEP_OBS         10

# From FC21 gossip ethereum
NETWORK_SIZE     22982
DENSITY          1.0 * 328 / NETWORK_SIZE

# Updates
SCENARIO         2
VARIABLES        1
SOURCES          10
END_TIME         2 * SECOND

# Gossip
FANOUT           8

# RPS
STEP_RPS         10 * MINUTE
RPS_VIEW_SIZE    FANOUT * FANOUT

# PMF random sampler
COMPUTATION_TIMEOUT  10 * MINUTE
NB_THREADS_FOR_INIT  8

# Block delay multiplier (eg, 0.5 produces blocks twice faster)
DELAY_MULTIPLIER     0.005


####################
#################### Non-numeric parameters
####################

#random.seed                         1234567890

include.init                        sch pmfhelper pmfsrc pmflatency pmfdegree
include.control                     obs

init.sch.protocol                   ugossip
#init.src.protocol                   ugossip
init.pmfsrc.protocol                ugossip
init.pmfdegree.protocol             ugossip
#control.urps.protocol               ugossip
control.obs.protocol                ugossip

# Possible values: p s all
init.pmfsrc.sourceClass             all

# Can be a path relative to the dir containing this cfg
init.pmfhelper.datasetDir           ../../blockchain_datasets/


####################
#################### Sources
####################

init.pmfsrc                         PMFMinerSetter
init.pmfsrc.sources                 SOURCES
init.pmfsrc.variables               VARIABLES
init.pmfsrc.delayFile               block_delay_pmf.csv
init.pmfsrc.minerFile               miners_pmf.csv
init.pmfsrc.delayMultiplier         DELAY_MULTIPLIER

#init.src                            SourceSetter
#init.src.sources                    SOURCES
#init.src.variables                  VARIABLES
#init.src.delay                      DELAY_UPDATES


####################
#################### Latency
####################

init.pmflatency                     PMFLatencyTransport
init.pmflatency.latencyFile         kiffer_latency_pmf.csv
protocol.transport                  PMFLatencyTransport
protocol.transport.latencyFile      kiffer_latency_pmf.csv

#protocol.transport                  UniformRandomTransport
#protocol.transport.mindelay         STEP_OBS
#protocol.transport.maxdelay         STEP_OBS


####################
#################### Topology
####################

init.pmfdegree                      PMFOutdegreeSetter
init.pmfdegree.degreeFile           outdegree_pmf.csv
init.pmfdegree.linkableP            neighboursP
init.pmfdegree.linkableS            neighboursS

#control.urps                        UniformRandomPeerSampler
#control.urps.step                   STEP_RPS
#control.urps.viewSize               RPS_VIEW_SIZE
#control.urps.linkableP              neighboursP


####################
#################### Uniform gossip
####################

protocol.ugossip                    UniformGossip
protocol.ugossip.step               STEP_GOSSIP
protocol.ugossip.linkableP          neighboursP
protocol.ugossip.transport          transport
protocol.ugossip.fanout             FANOUT
protocol.ugossip.scenario           SCENARIO


####################
#################### Common/Others
####################

simulation.endtime                  END_TIME
network.size                        NETWORK_SIZE

init.sch                            CDScheduler

init.pmfhelper                      PMFHelper
init.pmfhelper.nbThreads            NB_THREADS_FOR_INIT
init.pmfhelper.timeout              COMPUTATION_TIMEOUT

control.obs                         Observer
control.obs.step                    1
control.obs.stepManual              STEP_OBS

protocol.neighboursP                NeighboursLinkable
